| Home | Libraries | People | FAQ | More

##### http::parser::header_limit

(Inherited from `http::basic_parser`)

Set a limit on the total size of the header.

###### Synopsis

    void
    header_limit(
        std::uint32_t v);

###### Description

This function sets the maximum allowed size of the header including all field name, value, and delimiter characters and also including the CRLF sequences in the serialized input. If the end of the header is not found within the limit of the header size, the error `http::header_limit` is returned by `http::basic_parser::put`. Setting the limit after any header octets have been parsed results in undefined behavior.